package emps.v2_obiektowo;

import java.util.List;

public class P6_MinMax_v4 {

	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		
		Employee min = emps.get(0);
		Employee max = emps.get(0); // od Java 21 mamy też: emps.getFirst();
		
		for(Employee emp : emps) {
			if(emp.getSalary() > max.getSalary()) {
				max = emp;
			}
			if(emp.getSalary() < min.getSalary()) {
				min = emp;
			}
		}
		
		System.out.println("Najbogatszy: " + max.getFirstName() + " " + max.getLastName() + " " + max.getSalary());
		System.out.println("Najbiedniejszy: " + min.getFirstName() + " " + min.getLastName() + " " + min.getSalary());
	}

}
